MOUNT_NILFS(8) | System Manager's Manual | MOUNT_NILFS(8)

# NAME

`mount_nilfs` —
mount a NILFS file system

# SYNOPSIS

`mount_nilfs` | [`-c` checkpoint] [`-o` options] [`-t` gmtoff] special node

# DESCRIPTION

NILFS is a log-structured file system designed to support fast writing, fast recovery times, live snapshots, concurrent read-only snapshot mounts, and live file system resizing. Its inodes are managed using B-trees.

The `mount_nilfs` command attaches the NILFS file system residing on the specified special device node on the location indicated with node.

`-c` checkpoint
  Select the checkpoint number checkpoint to be mounted instead of the default last one.
`-o` options
  Use the specified mount options as specified in mount(8).
`-t` gmtoff
  Set the time zone offset (in seconds) from UTC to gmtoff, with positive values indicating east of the Prime Meridian. If not set, the user's current time zone will be used.

# SEE ALSO

mount(2), vnd(4), fstab(5), mount(8), mount_lfs(8), umount(8), vnconfig(8)

# HISTORY

NILFS is a file system developed by NTT and released in 2005 for Linux. Version 2 is available since 2009. This cleanroom implementation was written by Reinoud Zandijk for NetBSD in 2009, and has first been released as part of NetBSD 6.

# AUTHORS

This implementation of NILFS was written by Reinoud Zandijk.

# CAVEATS

This implementation currently only supports read-only operation. See mount_lfs(8) for an older log-structured file system with write support. Also see wapbl(4) and mount(8) for fast journal-based recovery using FFS.

June 1, 2016 | NetBSD 10.1